package com.unis.base.server.controller;

import com.unis.base.server.service.*;
import org.springframework.beans.factory.annotation.*;
import com.unis.base.common.vo.*;
import com.unis.common.utils.*;
import org.springframework.http.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.slf4j.*;

@RestController
@Api(value = "库点信息", tags = { "库点信息维护" })
public class DkdxxsjyController
{
    private static final Logger log;
    @Autowired
    private DKdxxsjyService dKdxxsjyService;
    
    @ApiOperation(value = "获取库点信息列表", notes = "")
    @PostMapping({ "/getkdInfoList" })
    public ResponseWrapper getkdInfoList(@RequestBody DKdxxsjyVO dKdxxsjyVO) {
        try {
            final List<DKdxxsjyVO> list = (List<DKdxxsjyVO>)dKdxxsjyService.getDKdxxsjyList(dKdxxsjyVO);
            return ResponseWrapper.success(Integer.valueOf(HttpStatus.OK.value()), HttpStatus.OK.getReasonPhrase(), (Object)list);
        }
        catch (Exception e) {
            e.printStackTrace();
            DkdxxsjyController.log.error(e.getMessage());
            return ResponseWrapper.error(Integer.valueOf(HttpStatus.INTERNAL_SERVER_ERROR.value()), HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(), (Object)"服务错误，请联系管理员");
        }
    }
    
    static {
        log = LoggerFactory.getLogger((Class)DkdxxsjyController.class);
    }
}
